Skip to content
Navigation

Proves the new email address with the code mailed to it, replacing the customer's old one.

POST
https://api.sherpo.io/customer/v1/stores/{store}/contacts/verify

Authorization

  • bearer
    HTTP
    required

Path parameters

  • store
    string
    required

    A hostname of the store.

Request body JSON required

  • value
    string
    required
    maxLength: 254 · minLength: 1 · pattern: ^[^\s@]+@[^\s@]+\.[^\s@]+$
  • code
    string
    required
    maxLength: 64 · minLength: 1

Returns

200

Proves the new email address with the code mailed to it, replacing the customer's old one.

JSON
  • kind
    string
    required
  • value
    string
    required
  • verified_at
    required

    One of the following:

    • string
    • null
JSON
  • type
    string
    required
    format: uri
  • title
    string
    required
  • status
    integer
    required
  • detail
    string
    required
  • code
    optional
    string
  • context
    optional
    object
  • reached_core
    optional
    boolean
  • core_answer
    optional
    string

Type to search…

↑↓ navigate↵ selectEsc close